Subject: Re: bug#5291: 23.1.91; "bzr status" FAILED

From: Lennart Borgman <[email-masked]>
Date: Sat, 2 Jan 2010 22:56:24 +0100

Looks like the "binary chars" in this message made it hard to read, at
least on gmail.

On Sat, Jan 2, 2010 at 10:40 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Sat, 2 Jan 2010 12:47:00 -0800 (PST) > From: Dan Nicolaescu <[email-masked]> > Cc: [email-masked] > Eli Zaretskii <[email-masked]> writes: >   > I have set up Emacs to be the EDITOR for bzr via emacsclient (yes, I'm >   > invoking bzr from the command line).  That works, but every time I >   > commit a file to upstream, Emacs bitches with the following message in >   > *Messages*: >   >  >   >   vc-do-command: Running bzr status bzr_log.uuzkwa...FAILED (status 3) > Do you get a backtrace if you set debug-on-error? Yes, see below. AFAICT, it shouldn't even try to run "bzr status" on this file, since it's a temporary file used by bzr for the commit message.  But if it somehow must run "bzr status", then it shouldn't signal an error when it predictably fails.  But maybe I'm missing something. Debugger entered--Lisp error: (error "Running bzr status bzr_log.ahvp69...FAILED (status 3)")   signal(error ("Running bzr status ...